xn::NodeInfoList Class Reference
C++ Reference to Application Programmer Interface (API) » Managing the Production Graph

`#include <XnCppWrapper.h>`

## Classes

class | Iterator

## Public Member Functions

| NodeInfoList ()
| NodeInfoList (XnNodeInfoList *pList)
| ~NodeInfoList ()
XnNodeInfoList * | GetUnderlyingObject () const
void | ReplaceUnderlyingObject (XnNodeInfoList *pList)
XnStatus | Add (XnProductionNodeDescription &description, const XnChar *strCreationInfo, NodeInfoList *pNeededNodes)
XnStatus | AddEx (XnProductionNodeDescription &description, const XnChar *strCreationInfo, NodeInfoList *pNeededNodes, const void *pAdditionalData, XnFreeHandler pFreeHandler)
XnStatus | AddNode (NodeInfo &info)
XnStatus | AddNodeFromAnotherList (Iterator &it)
Iterator | Begin () const
Iterator | End () const
Iterator | RBegin () const
Iterator | REnd () const
XnStatus | Remove (Iterator &it)
XnStatus | Clear ()
XnStatus | Append (NodeInfoList &other)
XnBool | IsEmpty ()
XnStatus | FilterList (Context &context, Query &query)

## Detailed Description

A NodeInfoList object contains a list of NodeInfo objects.

## Constructor & Destructor Documentation

## NodeInfoList() [1/2]

xn::NodeInfoList::NodeInfoList | ( |  | ) |

inline

Creates a new NodeInfoList object.

## NodeInfoList() [2/2]

xn::NodeInfoList::NodeInfoList | ( | XnNodeInfoList * | pList | ) |

inline

Creates a new NodeInfoList object by wrapping a C XnNodeInfoList object. Note that this list will not be freed upon destruction.

Parameters

  [in] | pList | The list to wrap.

## ~NodeInfoList()

xn::NodeInfoList::~NodeInfoList | ( |  | ) |

inline

## Member Function Documentation

## Add()

XnStatus xn::NodeInfoList::Add | ( | XnProductionNodeDescription & | description,
|  | const XnChar * | strCreationInfo,
|  | NodeInfoList * | pNeededNodes )

inline

For full details and usage, see xnNodeInfoListAdd

## AddEx()

XnStatus xn::NodeInfoList::AddEx | ( | XnProductionNodeDescription & | description,
|  | const XnChar * | strCreationInfo,
|  | NodeInfoList * | pNeededNodes,
|  | const void * | pAdditionalData,
|  | XnFreeHandler | pFreeHandler )

inline

For full details and usage, see xnNodeInfoListAddEx

## AddNode()

XnStatus xn::NodeInfoList::AddNode | ( | NodeInfo & | info | ) |

inline

For full details and usage, see xnNodeInfoListAddNode

## AddNodeFromAnotherList()

XnStatus xn::NodeInfoList::AddNodeFromAnotherList | ( | Iterator & | it | ) |

inline

For full details and usage, see xnNodeInfoListAddNodeFromList

## Append()

XnStatus xn::NodeInfoList::Append | ( | NodeInfoList & | other | ) |

inline

For full details and usage, see xnNodeInfoListAppend

## Begin()

Iterator xn::NodeInfoList::Begin | ( |  | ) | const

inline

Returns an iterator to the beginning of the list. If the list is empty, that iterator will be equal to NodeInfoList::End().

## Clear()

XnStatus xn::NodeInfoList::Clear | ( |  | ) |

inline

For full details and usage, see xnNodeInfoListClear

## End()

Iterator xn::NodeInfoList::End | ( |  | ) | const

inline

Returns an iterator marking the end of the list. This iterator does not point to a valid item.

## FilterList()

XnStatus xn::NodeInfoList::FilterList | ( | Context & | context,
|  | Query & | query )

inline

For full details and usage, see xnNodeQueryFilterList

## GetUnderlyingObject()

XnNodeInfoList * xn::NodeInfoList::GetUnderlyingObject | ( |  | ) | const

inline

Gets the underlying C object.

## IsEmpty()

XnBool xn::NodeInfoList::IsEmpty | ( |  | ) |

inline

Checks if the list NodeInfoList object is empty.

## RBegin()

Iterator xn::NodeInfoList::RBegin | ( |  | ) | const

inline

Returns an iterator to the reverse beginning of the list. If the list is empty, that iterator will be equal to NodeInfoList::REnd().

## Remove()

XnStatus xn::NodeInfoList::Remove | ( | Iterator & | it | ) |

inline

For full details and usage, see xnNodeInfoListRemove

## REnd()

Iterator xn::NodeInfoList::REnd | ( |  | ) | const

inline

Returns an iterator marking the reverse end of the list. This iterator does not point to a valid item.

## ReplaceUnderlyingObject()

void xn::NodeInfoList::ReplaceUnderlyingObject | ( | XnNodeInfoList * | pList | ) |

inline

Replaces the underlying object, taking ownership of the object (meaning, it will be freed upon destruction).

Parameters

  [in] | pList | The list to wrap.

The documentation for this class was generated from the following file:

- XnCppWrapper.h